## Index

### Functions

- parseCredentials
- scan

## Functions

### parseCredentials

- parseCredentials(text: string): Credentials

- - Defined in index.ts:24

  A convenience function to parse a credentials string into a Credentials object.

  #### Parameters

  - ##### text: string

    The credentials string.

  #### Returns Credentials

  A credentials object.

### scan

- scan(uniqueIdentifier?: string, timeout?: number): Promise<AppleTV[]>

- - Defined in index.ts:14

  A convenience function to scan for AppleTVs on the local network.

  #### Parameters

  - ##### Optional uniqueIdentifier: string

    An optional identifier for the AppleTV to scan for. The AppleTV advertises this via Bonjour.

  - ##### Optional timeout: number

    An optional timeout value (in seconds) to give up the search after.

  #### Returns Promise<AppleTV[]>

  A promise that resolves to an array of AppleTV objects. If you provide a `uniqueIdentifier` the array is guaranteed to only contain one object.

Generated using TypeDoc